Oracle Enterprise Manager Cloud Control Multiple Vulnerabilities (January 2017 CPU)

High Nessus Plugin ID 96777


An enterprise management application installed on the remote host is affected by multiple vulnerabilities.


The version of Oracle Enterprise Manager Cloud Control installed on the remote host is affected by multiple vulnerabilities in the Enterprise Manager Base Platform component :

- A flaw exists in the Bouncy Castle Java library due to improper validation of a point within the elliptic curve. An unauthenticated, remote attacker can exploit this to obtain private keys by using a series of specially crafted elliptic curve Diffie-Hellman (ECDH) key exchanges, also known as an 'invalid curve attack.' (CVE-2015-7940)

- A flaw exists in Apache MyFaces Trinidad, specifically in the CoreResponseStateManager component, due to the ObjectInputStream and ObjectOutputStream strings being used directly without securely deserializing Java input.
An unauthenticated, remote attacker can exploit this, via a deserialization attack using a crafted serialized view state string, to have an unspecified impact that may include the execution of arbitrary code.

Note that the product was formerly known as Enterprise Manager Grid Control.


Apply the appropriate patch according to the January 2017 Oracle Critical Patch Update advisory.

See Also

Plugin Details

Severity: High

ID: 96777

File Name: oracle_enterprise_manager_jan_2017_cpu.nasl

Version: $Revision: 1.6 $

Type: local

Family: Misc.

Published: 2017/01/25

Modified: 2017/12/19

Dependencies: 80965

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:oracle:enterprise_manager

Required KB Items: installed_sw/Oracle Enterprise Manager Cloud Control

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2017/01/17

Vulnerability Publication Date: 2015/09/15

Reference Information

CVE: CVE-2015-7940, CVE-2016-5019

BID: 79091, 93236

OSVDB: 129389, 144919